com.holonplatform.core.datastore.beans

## Interface BeanDatastore.BeanOperationResult<T>

- Type Parameters:
    `T` - Bean class
  All Superinterfaces:
    Serializable
  Enclosing interface:
    BeanDatastore

      public static interface BeanDatastore.BeanOperationResult<T>
      extends Serializable

  Represents the result of a `BeanDatastore` operation, providing informatons about the operation outcome.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `BeanDatastore.BeanOperationResult.Builder<T>` `BeanDatastore.BeanOperationResult` builder.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> BeanDatastore.BeanOperationResult.Builder<T>` | `builder()` Get a builder to create `BeanDatastore.BeanOperationResult` instances.
    `long` | `getAffectedCount()` Get the number of elements affected by the the operation execution.
    `Optional<Datastore.OperationType>` | `getOperationType()` Get the executed operation type, if available.
    `Optional<T>` | `getResult()` Get the bean instance which represents the result of the operation, if available.

- - ### Method Detail

    - #### getOperationType

          Optional<Datastore.OperationType> getOperationType()

      Get the executed operation type, if available.
      Returns:
        Executed operation type

    - #### getAffectedCount

          long getAffectedCount()

      Get the number of elements affected by the the operation execution.
      Returns:
        Affected elements count

    - #### getResult

          Optional<T> getResult()

      Get the bean instance which represents the result of the operation, if available. For example, the `insert`, `update` and `save` operations should return the updated bean instance, including any generated key value if the operation semantic expects it.
      Returns:
        The operation result bean instance.

    - #### builder

          static <T> BeanDatastore.BeanOperationResult.Builder<T> builder()

      Get a builder to create `BeanDatastore.BeanOperationResult` instances.
      Type Parameters:
        `T` - Bean class
      Returns:
        BeanOperationResult builder

Copyright © 2019 The Holon Platform. All rights reserved.